# Разблокировка и смена IMEI на Huawei e1550

![01-image](img/01-image.jpg)
![02-image](img/02-image.jpg)

- [Разблокировка](#разблокировка)
- [Смена IMEI](#смена-imei)
- [Прошивка софта](#прошивка-софта)

## Разблокировка

Разблокировка модема без вставки SIM-карты стороннего оператора сотовой связи.

1. Установить встроенное в модем ПО для установки драйверов устройства. Не запускать установленное ПО (либо закрыть, если оно было запущено автоматически).
2. Запустить [HUAWEI Calculator](https://ftp.zhirov.kz/program/e1550/HUAWEI%2Bcalculator.exe) и сгенерировать коды NCK[^1] и FLA[^2]:

![03-image](img/03-image.png)

IMEI находится под разъемом SIM-карты:

![04-image](img/04-image.jpg)

Также IMEI можно получить через [DC-unlocker](https://ftp.zhirov.kz/program/e1550/dc-unlocker2client_1.00.1441.zip) клиент ([официальная ссылка](https://www.dc-unlocker.com/)). С подключенным к ПК модемом запустить DC-unlocker и нажать на кнопку с иконкой лупы:

![05-image](img/05-image.png)

3. Через DC-unlocker также можно проверить состояние модема. На скриншоте выше видно, что статус SIM блокировки - "Блокировано (Card Lock)". Проверка состояния связи с модемом командой `AT`, в ответ будет получено `OK`. Отправить команду разблокировки модема:

```sh
AT^CARDLOCK="NCK"
```

где `NCK` - код, полученный через HUAWEI Calculator:

![06-image](img/06-image.png)

Последующее сканировние устройства покажет статус SIM блокировки как "Разблокирован":

![07-image](img/07-image.png)

## Смена IMEI

## Прошивка софта

[^1]: Network Control Key – код, запрашиваемый при попытке установить в «залоченный» смартфон SIM-карту другого оператора сотовой связи
[^2]: Flash Code - код, запрашиваемый при попытке прошивки модема
